package cn.hmsoft.weixin.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.weixin.constants.WxSeqName;

/**********************************************
 * 微信用户定义表
 * 
 * @author: Zhang XiaoQing
 * @date: 2016-08-12 22:15:19
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "WX_USER", keyColumn = "WUSER_ID", sequenceName = WxSeqName.WxUserId)
public class WxUser implements Serializable {
	private static final long serialVersionUID = -1697675326824747821L;
	private Integer wx_id;
	//微信用户内部编号
	private Integer wuser_id;
	//微信的OPEN编号
	private String open_id;
	//第一次关注时间
	private LocalDateTime first_subscribe_time;
	//最后一次关注时间
	private LocalDateTime last_subscribe_time;
	//最后一次取消关注时间
	private LocalDateTime unsubscribe_time;
	//状态，Actvie表示关注
	private String wuser_status;
	//最近活动时间
	private LocalDateTime active_time;
	//地理位置纬度
	private String location_latitude;
	//地理位置经度
	private String location_longitude;
	//地理位置精度Precision
	private String location_precision;
	//用户的昵称
	private String nickname;
	//用户的性别，值为1时是男性，值为2时是女性，值为0时是未知
	private Integer sex;
	//用户的语言，简体中文为zh_CN
	private String language;
	//用户所在城市
	private String city;
	//用户所在省份
	private String province;
	//用户所在国家
	private String country;
	//用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空。若用户更换头像，原有头像URL将失效。
	private String headimgurl;
	//只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段
	private String unioinid;
	//公众号运营者对粉丝的备注
	private String remark;
	//用户所在的分组ID
	private Integer groupid;
	//返回用户关注的渠道来源
	private String subscribe_scene;
	//用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间
	private LocalDateTime subscribe_time;

	public Integer getWx_id() {
		return this.wx_id;
	}

	public void setWx_id(Integer wx_id) {
		this.wx_id = wx_id;
	}

	/****
	 * 微信用户内部编号
	 */
	public Integer getWuser_id() {
		return this.wuser_id;
	}

	/****
	 * 微信用户内部编号
	 */
	public void setWuser_id(Integer wuser_id) {
		this.wuser_id = wuser_id;
	}

	/****
	 * 微信的OPEN编号
	 */
	public String getOpen_id() {
		return this.open_id;
	}

	/****
	 * 微信的OPEN编号
	 */
	public void setOpen_id(String open_id) {
		this.open_id = open_id;
	}

	/****
	 * 第一次关注时间
	 */
	public LocalDateTime getFirst_subscribe_time() {
		return this.first_subscribe_time;
	}

	/****
	 * 第一次关注时间
	 */
	public void setFirst_subscribe_time(LocalDateTime first_subscribe_time) {
		this.first_subscribe_time = first_subscribe_time;
	}

	/****
	 * 最后一次关注时间
	 */
	public LocalDateTime getLast_subscribe_time() {
		return this.last_subscribe_time;
	}

	/****
	 * 最后一次关注时间
	 */
	public void setLast_subscribe_time(LocalDateTime last_subscribe_time) {
		this.last_subscribe_time = last_subscribe_time;
	}

	/****
	 * 最后一次取消关注时间
	 */
	public LocalDateTime getUnsubscribe_time() {
		return this.unsubscribe_time;
	}

	/****
	 * 最后一次取消关注时间
	 */
	public void setUnsubscribe_time(LocalDateTime unsubscribe_time) {
		this.unsubscribe_time = unsubscribe_time;
	}

	/****
	 * 状态，Actvie表示关注
	 */
	public String getWuser_status() {
		return this.wuser_status;
	}

	/****
	 * 状态，Actvie表示关注
	 */
	public void setWuser_status(String wuser_status) {
		this.wuser_status = wuser_status;
	}

	/****
	 * 最近活动时间
	 */
	public LocalDateTime getActive_time() {
		return this.active_time;
	}

	/****
	 * 最近活动时间
	 */
	public void setActive_time(LocalDateTime active_time) {
		this.active_time = active_time;
	}

	/****
	 * 地理位置纬度
	 */
	public String getLocation_latitude() {
		return this.location_latitude;
	}

	/****
	 * 地理位置纬度
	 */
	public void setLocation_latitude(String location_latitude) {
		this.location_latitude = location_latitude;
	}

	/****
	 * 地理位置经度
	 */
	public String getLocation_longitude() {
		return this.location_longitude;
	}

	/****
	 * 地理位置经度
	 */
	public void setLocation_longitude(String location_longitude) {
		this.location_longitude = location_longitude;
	}

	/****
	 * 地理位置精度Precision
	 */
	public String getLocation_precision() {
		return this.location_precision;
	}

	/****
	 * 地理位置精度Precision
	 */
	public void setLocation_precision(String location_precision) {
		this.location_precision = location_precision;
	}

	/****
	 * 用户的昵称
	 */
	public String getNickname() {
		return this.nickname;
	}

	/****
	 * 用户的昵称
	 */
	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	/****
	 * 用户的性别，值为1时是男性，值为2时是女性，值为0时是未知
	 */
	public Integer getSex() {
		return this.sex;
	}

	/****
	 * 用户的性别，值为1时是男性，值为2时是女性，值为0时是未知
	 */
	public void setSex(Integer sex) {
		this.sex = sex;
	}

	/****
	 * 用户的语言，简体中文为zh_CN
	 */
	public String getLanguage() {
		return this.language;
	}

	/****
	 * 用户的语言，简体中文为zh_CN
	 */
	public void setLanguage(String language) {
		this.language = language;
	}

	/****
	 * 用户所在城市
	 */
	public String getCity() {
		return this.city;
	}

	/****
	 * 用户所在城市
	 */
	public void setCity(String city) {
		this.city = city;
	}

	/****
	 * 用户所在省份
	 */
	public String getProvince() {
		return this.province;
	}

	/****
	 * 用户所在省份
	 */
	public void setProvince(String province) {
		this.province = province;
	}

	/****
	 * 用户所在国家
	 */
	public String getCountry() {
		return this.country;
	}

	/****
	 * 用户所在国家
	 */
	public void setCountry(String country) {
		this.country = country;
	}

	/****
	 * 用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空。若用户更换头像，原有头像URL将失效。
	 */
	public String getHeadimgurl() {
		return this.headimgurl;
	}

	/****
	 * 用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空。若用户更换头像，原有头像URL将失效。
	 */
	public void setHeadimgurl(String headimgurl) {
		this.headimgurl = headimgurl;
	}

	/****
	 * 只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段
	 */
	public String getUnioinid() {
		return this.unioinid;
	}

	/****
	 * 只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段
	 */
	public void setUnioinid(String unioinid) {
		this.unioinid = unioinid;
	}

	/****
	 * 公众号运营者对粉丝的备注
	 */
	public String getRemark() {
		return this.remark;
	}

	/****
	 * 公众号运营者对粉丝的备注
	 */
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/****
	 * 用户所在的分组ID
	 */
	public Integer getGroupid() {
		return this.groupid;
	}

	/****
	 * 用户所在的分组ID
	 */
	public void setGroupid(Integer groupid) {
		this.groupid = groupid;
	}

	/****
	 * 返回用户关注的渠道来源
	 */
	public String getSubscribe_scene() {
		return this.subscribe_scene;
	}

	/****
	 * 返回用户关注的渠道来源
	 */
	public void setSubscribe_scene(String subscribe_scene) {
		this.subscribe_scene = subscribe_scene;
	}

	/****
	 * 用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间
	 */
	public LocalDateTime getSubscribe_time() {
		return this.subscribe_time;
	}

	/****
	 * 用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间
	 */
	public void setSubscribe_time(LocalDateTime subscribe_time) {
		this.subscribe_time = subscribe_time;
	}
	protected String user_tags;

	public String getUser_tags() {
		return user_tags;
	}

	public void setUser_tags(String user_tags) {
		this.user_tags = user_tags;
	}

}